Package: org.grails.cli.profile.commands.factory

## [Groovy] Class ResourceResolvingCommandFactory<T>

- org.grails.cli.profile.commands.factory.ResourceResolvingCommandFactory

- All Implemented Interfaces and Traits:
    CommandFactory

      @groovy.transform.CompileStatic
      abstract class ResourceResolvingCommandFactory
      extends java.lang.Object

  A abstract CommandFactory that reads from the file system

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Command` | `createCommand(Profile profile, java.lang.String commandName, Resource resource, T data)`
    `` | `protected java.lang.String` | `evaluateFileName(java.lang.String fileName)`
    `` | `protected java.util.Collection<Resource>` | `findCommandResources(Profile profile, boolean inherited)`
    `` | `java.util.Collection<Command>` | `findCommands(Profile profile, boolean inherited)`
    `` | `protected java.util.Collection<CommandResourceResolver>` | `getCommandResolvers(boolean inherited)`
    `` | `protected java.util.Collection<java.lang.String>` | `getMatchingFileExtensions()`
    `` | `protected T` | `readCommandFile(Resource resource)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected Command createCommand(Profile profile, java.lang.String commandName, Resource resource, T data)

    - #### protected java.lang.String evaluateFileName(java.lang.String fileName)

    - #### protected java.util.Collection<Resource> findCommandResources(Profile profile, boolean inherited)

    - #### @java.lang.Override java.util.Collection<Command> findCommands(Profile profile, boolean inherited)

    - #### protected java.util.Collection<CommandResourceResolver> getCommandResolvers(boolean inherited)

    - #### protected java.util.Collection<java.lang.String> getMatchingFileExtensions()

    - #### protected T readCommandFile(Resource resource)